<?
session_name('portal_absa');
session_start();
require "../../conexion/conectar.php";
include "../../libs/funciones.php";

$conexion = new CONDB();
$conexion->conectar();

if(isset($_FILES["myfile"]))
{
	$ret = array();

	$error =$_FILES["myfile"]["error"];
	$fileName = $_FILES["myfile"]["name"];
	$size = $_FILES["myfile"]["size"];
	if($size == 0 || $error != 0 || $_FILES["myfile"]["tmp_name"] == ""){
		?><script>$j_7.messager.alert("Error","Ocurrio un error al subir el archivo.","error");</script><?exit;
	}
	if(!mysqli_query($conexion->CONEXION,"insert into adjuntos_exp_pago (nodo_id,uuid_padre,nombre_archivo) values(".$_REQUEST["nodoID"].",'".$_REQUEST["uuid"]."','$fileName')")){
		
		?><script>$j_7.messager.alert("Error","Ocurrio un error al subir el archivo.","error");</script><?exit;
	}else{
		$id = mysqli_insert_id($conexion->CONEXION);
		if(mysqli_query($conexion->CONEXION,"insert into adjuntos_exp_pago_detalle (id,archivo) values($id,'".base64_encode(file_get_contents($_FILES["myfile"]["tmp_name"]))."')")){
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "INSERT","tabla adjuntos_exp_pago","tabla adjuntos_exp_pago: Se agrego el documento $fileName en el nodo ".$_REQUEST["nodoID"]." adjuntado al documento con id: ".$_REQUEST["uuid"]);
		}
	}
	$ret[]= $fileName;
}
	
?>